Skip to content
POST /unified/knowledge-base/page-content/append

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

bodyobject

The body of the page content

4 supported4 required
Confluence
required
Google
required
Google Docs
required
Notion
required
contentstring
required·

The content of the body

formatstring

The format of the body

Possible values:
markdownhtmlplaintextmarkdownmarkdownmarkdown
pageobject

The page the content belongs to

4 supported4 required
Confluence
required
Google
required
Google Docs
required
Notion
required
idstring
required·

The unique identifier for the page

remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

Response Body

idstring
required·

The unique identifier for the page content

3 supported
Confluence
supported
Google
supported
Notion
supported
bodyobject

The body of the page content

3 supported
Confluence
supported
Google
supported
Notion
supported
contentstring

The content of the body

formatstring

The format of the body

Possible values:
markdownhtmlplaintext
created_atstring · date-time

The date and time the page content was created

1 supported
Notion
supported
has_childrenboolean

Whether the page content has children

1 supported
Notion
supported
pageobject

The page the content belongs to

3 supported
Confluence
supported
Google
supported
Notion
supported
idstring

The unique identifier for the page

page_typestring

The type of the page

Possible values:
landing-pagessite-pagesblog-posts
parentobject

The parent of the page content

1 supported
Notion
supported
idstring

The unique identifier for the parent page content

typestring

The type of the parent

remote_dataRecord<string, any>

Raw data returned from the remote API call.

sequenceinteger

The order of the page content in the context of a page. Will increase sequentially from 0.

1 supported
Confluence
supported
updated_atstring · date-time

The date and time the page content was last updated

1 supported
Notion
supported
urlsobject[]

The URLs of the files attached in the page content

2 supported
Confluence
supported
Google
supported
typestring

The URL type of the file

Possible values:
original_urltruto_download
urlstring

The URL of the file

visibilitystring

The visibility of the page

Possible values:
privatepublic
curl -X POST 'https://api.truto.one/unified/knowledge-base/page-content/append?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "page": {},
  "body": {},
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "page": {},
  "body": {},
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/knowledge-base/page-content/append?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/knowledge-base/page-content/append"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "page": {},
    "body": {},
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

// Custom method: append
const result = await truto.unifiedApi.append(
  'knowledge-base',
  'pagecontent',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    # Custom method: append
    result = await truto_api.unified_api.append(
        "knowledge-base",
        "pagecontent",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())